Subject: Re: bug#58472: [PATCH] Make `message-unique-id' less prone to collisions

From: Eli Zaretskii <[email-masked]>
Date: Mon, 17 Oct 2022 11:23:47 +0300

> Cc: [email-masked]
> From: Stefan Kangas <[email-masked]>
> Date: Mon, 17 Oct 2022 08:14:03 +0000
> 
> Paul Eggert <[email-masked]> writes:
> 
> > I've been looking into this and have several patches along these lines.
> > None of them address message-unique-id directly yet (I plan to tackle
> > this soon) but they do address the general problem area. The basic idea
> > is to use a new make-nonce primitive.
> 
> Thanks!  I have read your patchset, which looks good to me.

It doesn't look good to me at all, and I'm against installing any of
that stuff, certainly at this time, hopefully never.

Please stop pushing this issue, as I will not agree to installing
anything that complex.  The only changes I'm willing to consider wrt
this issue are local changes in message.el that affect only the
message-id.  Please drop any wider and more general changes, as I will
not agree to them.

TIA